Skip to content
Start here

Read matches for logo queries by ID

client.BrandProtection.LogoMatches.Get(ctx, params) (*LogoMatchGetResponse, error)
GET/accounts/{account_id}/brand-protection/logo-matches

Return matches for logo queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params LogoMatchGetParams
AccountID param.Field[string]

Path param

minLength1
Limit param.Field[string]optional

Query param

LogoID param.Field[[]string]optional

Query param

Offset param.Field[string]optional

Query param

ReturnsExpand Collapse
type LogoMatchGetResponse struct{…}
Matches []map[string, unknown]optional
Total int64optional

Read matches for logo queries by ID

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  logoMatch, err := client.BrandProtection.LogoMatches.Get(context.TODO(), brand_protection.LogoMatchGetParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", logoMatch.Matches)
}
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}